/* Copyright 2002-2024 CS GROUP
 * Licensed to CS GROUP (CS) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * This package provides methods to handle GNSS measurements.
 *
 * <p>
 * The two main types of GNSS measurements are code and
 * carrier phase measurements. This package provides several
 * methods to handle these two types of measurements (e.g.
 * combination of measurement, phase ambiguity resolution,
 * modeling of wind-up effect, etc.).
 * </p>
 */
package org.orekit.estimation.measurements.gnss;
